﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using Infragistics.Documents.Report;
using Infragistics.Documents.Report.Section;
using Infragistics.Documents.Report.Text;
using Infragistics.Documents.Graphics;
using Infragistics.Documents.Report.Table;
using Infragistics.Documents.Report.Grid;
using Infragistics.Documents.Report.Band;
using Infragistics.Documents.Report.Flow;
namespace TestPDFOutput
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            dgOrders.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(dgOrders_InitializeLayout);
            button1.Click += new EventHandler(button1_Click);
        }

        void button1_Click(object sender, EventArgs e)
        {
            Report r = new Report();
            ISection s1 = r.AddSection();
            s1.PageNumbering.SkipFirst = true;
            s1.PageNumbering.OffsetY = -18;
            s1.PageNumbering.Template = "Page [Page #] of [TotalPages]";
            ISectionHeader s1Header = s1.AddHeader();
            s1Header.Height = 20;
            IText s1headertitle = s1Header.AddText(0, 0);
            s1headertitle.AddContent(string.Format("Trade Blotter\n As Of {0}", DateTime.Now.ToString("MM/dd/yy hh:mm")));
            s1headertitle.Alignment = TextAlignment.Center;
            ultraGridDocumentExporter1.Export(dgOrders, r);
        }

        void dgOrders_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            try
            {
                e.Layout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;
                e.Layout.Bands[0].SortedColumns.Add("OrderTypeDesc", false, true);

                e.Layout.Override.HeaderPlacement = HeaderPlacement.FixedOnTop;
                e.Layout.UseFixedHeaders = true;
                e.Layout.Bands[0].Columns["SecurityCode"].Header.Fixed = true;

                e.Layout.Bands[0].Columns["Action"].Header.Fixed = true;
                e.Layout.Bands[0].Columns["Frozen"].Header.Fixed = true;
                //These are uncommented in my version
                //e.Layout.Bands[0].Columns["Broker"].ValueList = ValueLists.vBrokers;
                //e.Layout.Bands[0].Columns["Action"].ValueList = ValueLists.vActions;
                //e.Layout.Bands[0].Columns["PrimeBroker"].ValueList = ValueLists.vPrimeBrokers;
                e.Layout.Bands[0].Columns["PrimeBroker"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.FormattedText;
                e.Layout.Bands[0].Columns["Broker"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.FormattedText;
                e.Layout.Bands[0].Columns["Action"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.FormattedText;
            }
            catch (Exception ex)
            {
                //My app loggs some error here
            }
                
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            ds.ReadXml("TEST_DATA.xml");
            dgOrders.DataSource = ds.Tables[0];
        }
    }
}
